import requests
url = "https://api.paywise.de/partner/v2/webhook-deliveries/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/webhook-deliveries/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/webhook-deliveries/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/webhook-deliveries/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/webhook-deliveries/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"attempts": 123,
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"payload": {
"created_at": "2026-07-18T10:00:00Z",
"data": {
"case_submission_ready": true,
"company_id": "12000000-0000-4000-8000-000000000001",
"company_url": "/partner/v2/companies/12000000-0000-4000-8000-000000000001/",
"customer_number": "5G0123"
},
"id": "16000000-0000-4000-8000-000000000001",
"type": "company.created"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_body": "<string>",
"response_status_code": 123,
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "users[0].email",
"message": "Enter a valid email address."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}List webhook deliveries
import requests
url = "https://api.paywise.de/partner/v2/webhook-deliveries/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywise.de/partner/v2/webhook-deliveries/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.paywise.de/partner/v2/webhook-deliveries/")
.header("Authorization", "Bearer <token>")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v2/webhook-deliveries/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request GET \
--url https://api.paywise.de/partner/v2/webhook-deliveries/ \
--header 'Authorization: Bearer <token>'{
"count": 123,
"results": [
{
"attempts": 123,
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_attempt_at": "2023-11-07T05:31:56Z",
"next_retry_at": "2023-11-07T05:31:56Z",
"payload": {
"created_at": "2026-07-18T10:00:00Z",
"data": {
"case_submission_ready": true,
"company_id": "12000000-0000-4000-8000-000000000001",
"company_url": "/partner/v2/companies/12000000-0000-4000-8000-000000000001/",
"customer_number": "5G0123"
},
"id": "16000000-0000-4000-8000-000000000001",
"type": "company.created"
},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_body": "<string>",
"response_status_code": 123,
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}{
"code": "validation_error",
"detail": "The request contains invalid data.",
"errors": [
{
"code": "invalid",
"field": "users[0].email",
"message": "Enter a valid email address."
}
]
}{
"code": "not_authenticated",
"detail": "Authentication credentials were not provided."
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}Authorizations
Partner API Bearer key: Authorization: Bearer <key>. Keys are created only through authorized portal or staff flows.
Query Parameters
Exact delivered event type: a Partner lifecycle event, or a Case or Mahnservice event sent to a company-scoped subscription.
company.created, company.case_submission_readiness.changed, company.access.confirmed, company.access.revoked, company.access.restored, company.user.added, company.user.revoked, company.user.activated, company.user.invite_expired, order.submitted, order.withdrawn, order.rejected, order.accepted, order.expired, mandate.created, mandate.state.changed, mandate.status_update.published, mandate.balance_updated, order.message.created, mandate.message.created, request_to_client.created, request_to_client.answered, payment.reported, statement.published, statement.cancelled, single_mandate_statement.published, single_mandate_statement.cancelled, invoice.created, invoice.paid, invoice.cancelled, invoice.written_off, dunning.level_advanced, dunning.handed_to_collection Number of results to return (maximum 100).
1 <= x <= 100Zero-based result offset.
x >= 0Exact delivery state: pending, delivering, retrying, success, or failed.
delivering, failed, pending, retrying, success Return rows changed at or after this timezone-aware RFC 3339 timestamp. Results are ordered by updated_at and id.
Return only deliveries for this webhook subscription's UUID.
Response
Total number of matching resources.
123
Resources returned for the requested page.
Show child attributes
Show child attributes
URL for the next page, or null when this is the last page.
"http://api.example.org/accounts/?offset=400&limit=100"
URL for the previous page, or null when this is the first page.
"http://api.example.org/accounts/?offset=200&limit=100"
